Bug 1446365 - Lenovo Yoga 720 (15") touchpad not recognized by kernel drivers
Summary: Lenovo Yoga 720 (15") touchpad not recognized by kernel drivers
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-27 18:28 UTC by Sean Pryor
Modified: 2017-12-12 10:10 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:10:12 UTC
Type: Bug


Attachments (Terms of Use)
lsusb -v (44.55 KB, text/plain)
2017-04-27 18:28 UTC, Sean Pryor
no flags Details
dmesg (64.82 KB, text/plain)
2017-04-27 18:43 UTC, Sean Pryor
no flags Details
acpidump (885.12 KB, text/plain)
2017-04-27 18:44 UTC, Sean Pryor
no flags Details

Description Sean Pryor 2017-04-27 18:28:45 UTC
Created attachment 1274754 [details]
lsusb -v

Description of problem:
The touchpad on the Lenovo Yoga 720 appears to not be supported. It's entirely unresponsive, and doesn't show up in xinput list. Upon further investigation, it seems to be due to the driver not binding to it. Since there isn't a lot of information on it, I echoed 06cb 0081 (the only synaptics device in lsusb) into /sys/module/usbhid/driver/usb:usbhid/new_id, but to no avail. Upon seeing a similar bugreport, I attempted with acpi=biosirq which also did not work.

Version-Release number of selected component (if applicable):
Kernel 4.10.11-200.fc25.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Install Fedora 25 on Lenovo Yoga 720

Actual results:
Touchpad not recognized by any driver, does not show up in xinput list, etc

Expected results:
Touchpad works

Additional info:

Comment 1 Sean Pryor 2017-04-27 18:43:11 UTC
Created attachment 1274756 [details]
dmesg

Comment 2 Sean Pryor 2017-04-27 18:44:34 UTC
Created attachment 1274758 [details]
acpidump

Comment 3 Sean Pryor 2017-05-02 14:52:16 UTC
Still present as of 4.10.13-200

Comment 4 William Skupa 2017-05-29 02:27:38 UTC
Hardware IDs reported by Windows:
HID\VEN_ELAN&DEV_0651&Col01
HID\ELAN0651&Col01
HID\*ELAN0651&Col01

Comment 5 Sean Pryor 2017-05-29 14:54:47 UTC
According to this thread on their forums https://forums.lenovo.com/t5/Linux-Discussion/Install-linux-in-Lenovo-Yoga-720/m-p/3665441/highlight/true#M9357 it may be 06CB:7F8F connected over I2C instead of USB. I ended up returning the device, but it looks like user mealejan was able to get it working.

If I still had it to play with, I'd compare the i2c_hid versions between his version (4.10.13-1-ARCH) and the latest Fedora and see if I could find a specific patch that introduced support

Good luck to anyone who takes up the torch on that endeavor

Comment 6 Sean Pryor 2017-05-29 15:09:34 UTC
Upon double checking on that thread, there seems to be a difference between the 13 inch model and the 15 inch model. The 13 inch model appears to work out of the box with most Linux, but the 15 inch is the one that appears to have the major issues

Comment 7 Björn Dahlgren 2017-07-20 15:14:15 UTC
I am also affected by this bug.

In that thread there was a suggestion to try to apply the following patch to the kernel:
```
diff --git a/drivers/input/mouse/elan_i2c_core.c b/drivers/input/mouse/elan_i2c_core.c
index d5ab9dd..6a8b40f 100644
--- a/drivers/input/mouse/elan_i2c_core.c
+++ b/drivers/input/mouse/elan_i2c_core.c
@@ -1224,6 +1224,7 @@ static const struct acpi_device_id elan_acpi_id[] = {
  { "ELAN0100", 0 },
  { "ELAN0600", 0 },
  { "ELAN0605", 0 },
+ { "ELAN0651", 0 },
  { "ELAN1000", 0 },
  { }
 };
```
I'm new to compiling the linux kernel and didn't manage to get a bootable initrd.

Comment 8 Sean Pryor 2017-07-28 15:49:30 UTC
If you install the source package for the kernel, you can rebuild the kernel with your changes, a good base instruction set for fedora would be https://fedoraproject.org/wiki/Building_a_custom_kernel/Source_RPM

Comment 9 redhat.ich 2017-07-29 01:58:12 UTC
Please also check this bug report:
https://bugs.launchpad.net/bugs/1700657

Kernel 4.13 with this patch is still not working.

Comment 10 idoad123 2017-10-23 21:51:47 UTC
I was able to make the touchpad work with that patch
https://patchwork.kernel.org/patch/10021495/
on Kernel 4.13.0 (ubuntu 17-10 version).

I had to recompile the elan_i2c driver with the patch to match my kernel.

Comment 11 Fedora End Of Life 2017-11-16 19:37:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2017-12-12 10:10:12 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.